Skip to navigation

Retrieve an amendment

View as Markdown
Retrieve the details of a specific Amendment object.

Authentication

AuthorizationBearer

Use Bearer {{token}} in the Authorization header for authentication.

Path parameters

keystringRequired
Object ID or Number.

Headers

Idempotency-KeystringOptional<=255 characters
Specify a unique idempotency key if you want to perform an idempotent POST or PATCH request. Do not use this header in other request types. With this header specified, the Zuora server can identify subsequent retries of the same request using this value, which prevents the same operation from being performed multiple times by accident.
Accept-EncodingstringOptional

Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response.

If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it.

Content-EncodingstringOptional

Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.

Zuora-Track-IdstringOptional<=64 characters

A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue.

The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote (').

Zuora-Entity-IdsstringOptional

An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.

Zuora-Org-IdsstringOptional

Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header.

The IDs must be a sub-set of the user’s accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user’s accessible orgs.

Zuora-VersionstringOptional

The minor API version.

For a list of available minor versions, see API upgrades.

Query parameters

pageSizeintegerOptional1-99Defaults to 10

The maximum number of results to return in a single page. If the specified pageSize is less than 1 or greater than 99, Zuora will return a 400 error.

cursorstringOptional

A cursor for use in pagination. A cursor defines the starting place in a list. For instance, if you make a list request and receive 100 objects, ending with next_page=W3sib3JkZXJ=, your subsequent call can include cursor=W3sib3JkZXJ= in order to fetch the next page of the list.

sort[]list of stringsOptional

A case-insensitive query parameter that specifies the sort order of the list, which can be either ascending (e.g. accountnumber.ASC) or descending (e.g. accountnumber.DESC). You cannot sort on properties in arrays. If the array-type properties are specified for the sort[] parameter, they are ignored.

expand[]list of stringsOptional
Allows you to expand responses by including related object information in a single call. The Amendment object does not support expanding any related objects.
filter[]list of stringsOptional

A case-insensitive filter on the list.

fields[]list of stringsOptional

A case-insensitive query parameter that allows you to specify which fields are returned in the response.

includeNullFieldsbooleanOptionalDefaults to false

Specifies whether to include fields with the null value in the response.

  • If set to true, all fields will be returned in the response, including those with the null value.
  • If set to false, only fields with non-null values will be returned.

Response headers

Content-EncodingstringOptional

This header is returned if you specify the Accept-Encoding: gzip request header and the response contains over 1000 bytes of data.

Note that only the following MIME types support gzipped responses:

  • application/json
  • application/xml
  • text/html
  • text/csv
  • text/plain
RateLimit-LimitstringOptional

The request limit quota for the time window closest to exhaustion. See rate limits for more information.

RateLimit-Remainingdouble

The number of requests remaining in the time window closest to quota exhaustion. See rate limits for more information.

RateLimit-Resetdouble

The number of seconds until the quota resets for the time window closest to quota exhaustion. See rate limits for more information.

Zuora-Request-IdstringOptional
The Zuora internal identifier of the API call. You cannot control the value of this header.
Zuora-Track-IdstringOptional
A custom identifier for tracing the API call. If you specified a tracing identifier in the request headers, Zuora returns the same tracing identifier. Otherwise, Zuora does not set this header.

Response

OK
idstringOptional
The unique identifier of the amendment.
createdByIdstringOptional
The unique identifier of the user who created the amendment.
createdDatedatetimeOptional

The time that the amendment gets created in the system, in the YYYY-MM-DD HH:MM:SS format.

updatedByIdstringOptional
The unique identifier of the user who last updated the amendment.
updatedDatedatetimeOptional

The time that the amendment gets updated in the system, in the YYYY-MM-DD HH:MM:SS format.

autoRenewbooleanOptional
Indicates whether the amendment is automatically renewed.
codestringOptional
The amendment code.
contractEffectiveDatedateOptional

The date when the amendment becomes effective for billing purposes, as yyyy-mm-dd.

currentTermlongOptional
The length of the period for the current subscription term.
currentTermPeriodTypeenumOptional
The period type for the current subscription term.
Allowed values:
customerAcceptanceDatedateOptional

The date when the customer accepts the amendment changes to the subscription, as yyyy-mm-dd.

descriptionstringOptional
Description of the amendment.
effectiveDatedateOptional
The date when the amendment changes take effective.
effectivePolicyenumOptional

Effective Policy for the subscription.

The value depends on the following conditions:

  • If the rate plan change (from old to new) is an upgrade, the effective policy is EffectiveImmediately by default.
  • If the rate plan change (from old to new) is a downgrade, the effective policy is EffectiveEndOfBillingPeriod by default.
  • Otherwise, the effective policy is SpecificDate by default.

Note: This feature is in the Early Adopter phase. We are actively soliciting feedback from a small set of early adopters before releasing it as generally available. If you want to join this early adopter program, submit a request at Zuora Global Support.

Allowed values:
namestringOptional
The name of the amendment.
newRatePlanIdstringOptional
The ID of the rate plan charge on which amendment is made. Only the Add or Update amendment returns a new rate plan ID.
removedRatePlanIdstringOptional
The ID of the rate plan charge that is removed from the subscription. Only the Remove Product amendment returns a removed rate plan ID.
renewalSettingenumOptional
Specifies whether a termed subscription will remain termed or change to evergreen when it is renewed.
Allowed values:
renewalTermlongOptional
The term of renewal for the amended subscription.
renewalTermPeriodTypeenumOptional
The period type for the subscription renewal term.
Allowed values:
resumeDatedateOptional

The date when the subscription resumption takes effect, as yyyy-mm-dd.

Note: This feature is in Limited Availability. If you wish to have access to the feature, submit a request at Zuora Global Support.

serviceActivationDatedateOptional

The date when service is activated, as yyyy-mm-dd.

specificUpdateDatedateOptional

The date when the Update Product amendment takes effect.

Only for the Update Product amendments if there is already a future-dated Update Product amendment on the subscription.

statusenumOptional
The status of the amendment.
Allowed values:
subscriptionIdstringOptional
The ID of the subscription based on which the amendment is created.
suspendDatedateOptional

The date when the subscription suspension takes effect, as yyyy-mm-dd.

Note: This feature is in Limited Availability. If you wish to have access to the feature, submit a request at Zuora Global Support.

termStartDatedateOptional
The date when the new terms and conditions take effect.
termTypeenumOptional
Indicates if the subscription is termed or evergreen.
Allowed values:
typeenumOptional
Type of the amendment.
subTypeenumOptional

The sub type for the change plan order action.

If this field was not set by user, the field is automatically generated by the system according to the following rules:

When the old and new rate plans are within the same Grading catalog group:

  • If the grade of new plan is greater than that of the old plan, this is an “Upgrade”.
  • If the grade of new plan is less than that of the old plan, this is a “Downgrade”.
  • If the grade of new plan equals that of the old plan, this is a “Crossgrade”.

When the old and new rate plans are not in the same Grading catalog group, or either has no group, this is “PlanChanged”.

Allowed values:
bookingDatedateOptional

Errors

4XX
Client Request Error
500
Internal Server Error